import {schema} from "../schemata/SchemaData.js";

export enum Condition {
    CRITICAL = "Critical",
    POOR = "Poor",
    SOSO = "So-so",
    GOOD = "Good",
    EXCELLENT = "Excellent",
    UNSURE = "Unsure",
    NUMB = "Numb",
}
export const CONDITIONS = [Condition.CRITICAL, Condition.POOR, Condition.SOSO, Condition.GOOD, Condition.EXCELLENT, Condition.UNSURE, Condition.NUMB]

export type ConditionJTD = typeof ConditionJTD
export const ConditionJTD = schema({
    schema: {
        enum: CONDITIONS
    },
    key: "condition",
    references: [],
})

