import {schema} from "../schemata/SchemaData.js";

export enum Suicidality {
    NONE = "None",
    PASSIVE = "Passive",
    INTRUSIVE = "Intrusive",
    ACTIVE = "Active",
    RESIGNED = "Resigned",
    PLANNING = "Planning",
    PLANNED = "Planned",
    DANGER = "Danger",
}
export const SUICIDALITIES: Suicidality[] = [Suicidality.NONE, Suicidality.PASSIVE, Suicidality.INTRUSIVE, Suicidality.ACTIVE, Suicidality.RESIGNED, Suicidality.PLANNING, Suicidality.PLANNED, Suicidality.DANGER]

export type SuicidalityJTD = typeof SuicidalityJTD
export const SuicidalityJTD = schema({
    schema: {
        enum: SUICIDALITIES
    },
    key: "suicidality",
    references: [],
})

