import {addEntryCommand} from "./commands/AddEntry.js";
import {updateEmpathyGuideCommand} from "./commands/UpdateEmpathyGuide.js";
import {Argv, default as yargs} from "yargs"

const Yargs = yargs as unknown as {(): Argv}

Yargs()
    .scriptName("mari-status-bar")
    .command(addEntryCommand())
    .command(updateEmpathyGuideCommand())
    .demandCommand()
    .parseAsync()
    .catch((err: unknown) => {
        console.error(err)
    })