import {schema} from "../schemata/SchemaData.js";

export interface EmpathyGroup {
    readonly header: string
    readonly items: readonly string[]
}

export type EmpathyGroupJTD = typeof EmpathyGroupJTD
export const EmpathyGroupJTD = schema({
    schema: {
        properties: {
            header: {type: "string"},
            items: {elements: {type: "string"}}
        }
    },
    typeHint: null as EmpathyGroup | null,
    key: "empathyGroup",
    references: [],
})

