import {registerPrompt} from "../Inquire.js";
import {MultiTextInput} from "./MultiTextInput.js";
import {HierarchicalCheckboxInput} from "./HierarchicalCheckboxInput.js";
import {DateInput} from "./DateInput.js";

export function registerPrompts() {
    registerPrompt("multitext", MultiTextInput)
    registerPrompt("hierarchical-checkbox", HierarchicalCheckboxInput)
    registerPrompt("date", DateInput)
}